Processing iterate mode for QGIS tools creates empty files in "OSGeo4W/bin" folder

2016-10-22 12:12 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master_2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23667

Description

Pick any QGIS tool for vector layers and run it in iterate mode, leaving the output field empty.

Run the tool: the process runs ok, but if you look into the c:\\osgeo4w\\bin folder you'll see a number of "memory_number" o kb files, one

for each iteration. This file cannot be removed unless removing the temp layers from the project.

I'm sure that I've seen this files also on Linux, but I disregarded them and now cannot replicate or find them.

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-01-17 07:34 PM - Alexander Bruy

- Status changed from Open to Feedback

- Description updated

Still true with latest master?

#3 - 2018-05-16 12:56 PM - Alexander Bruy

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
